_base=jaxlib
pkgname=python-${_base}
pkgdesc="XLA library for JAX"
pkgver=0.3.15
pkgrel=1
arch=(x86_64)
url="https://github.com/google/${_base/lib/}"
license=(Apache)
depends=(python-scipy python-absl) # intel-oneapi-basekit one-dnn intel-oneapi-mkl
makedepends=(python-setuptools python-wheel python-installer)
# checkdepends=(python-pytest)
source=(${_base}-${pkgver}.tar.gz::${url}/archive/${_base}-v${pkgver}.tar.gz)
sha512sums=('cb7023354368cdf2385e1b5bcc1ae7721772dac9a9d9e384429cae057fe6a2018d309eabd9558e4ce96e0dbbdc271deb49ca1566c0c2c859e67fb45889fb079d')

build() {
  cd ${_base/lib/}-${_base}-v${pkgver}
  python build/build.py \
    --target_cpu_features=native
  # --noenable_mkl_dnn \
  # --noenable_cuda \
  # --noenable_tpu \
  # --noenable_remote_tpu \
  # --noenable_rocm \
  # --noenable_nccl \
  # --noremote_build \
  # --bazel_options=--override_repository=org_tensorflow=/path/to/tensorflow
}

# check() {
#   cd ${_base/lib/}-${_base}-v${pkgver}
#   PYTHONPATH="${PWD}/tmp_install$(python -c "import site; print(site.getsitepackages()[0])"):${PYTHONPATH}"
#   python -m pytest
# }

package() {
  cd ${_base/lib/}-${_base}-v${pkgver}
  PYTHONPYCACHEPREFIX="${PWD}/.cache/cpython/" python -m installer --destdir="${pkgdir}" dist/*.whl
  install -Dm 644 build/LICENSE.txt -t "${pkgdir}/usr/share/licenses/${pkgname}"
}
